var path      = require('path');
var fs        = require('fs-extra');
var map       = require('./map');

/**
 * Writes the passed tree to disk at the root of
 * the project.
 * @param  {String|Object} tree    The input tree to debug.
 * @param  {Object} options
 * @property {String} options.name The name of directory you want to write to
 */
module.exports = function(tree, options) {
  return map(tree, function(contents, relativePath) {
    if (!options.name) {
      throw Error('Must pass folder name to write to.');
    }

    var debugDir = './DEBUG-' + options.name;
    var debugPath = path.resolve(path.join(debugDir, relativePath));
    fs.mkdirsSync(path.dirname(debugPath));
    fs.writeFileSync(debugPath);
  });
};